unit ImageLib;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SctCtrl, SctVar, SctRep, DB, DBTables, ExtCtrls, StdCtrls, Buttons,
  SctBtn, TMultiP, AcePage, TDMULTIP;

type
  TImageLibSample = class(TForm)
    SctReport1: TSctReport;
    ReportPage: TSctGrouppage;
    ReportHeaderBand: TSctBand;
    ReportHeaderBandlevel: TSctLevel;
    PageHeaderBand: TSctBand;
    PageHeaderBandlevel: TSctLevel;
    DetailBand: TSctBand;
    DetailBandlevel: TSctLevel;
    PageFooterBand: TSctBand;
    PageFooterBandlevel: TSctLevel;
    ReportFooterBand: TSctBand;
    ReportFooterBandlevel: TSctLevel;
    biolifeTable: TTable;
    biolifeSource: TDataSource;
    SctImageLabel1: TSctImageLabel;
    svarDateTime: TSctDateTimeVar;
    svarPage: TSctPageVar;
    DataSourceGuide: TSctDataSourceGuide;
    biolifetableSpecies_No: TSctDBVar;
    biolifetableCategory: TSctDBVar;
    biolifetableCommon_Name: TSctDBVar;
    biolifetableSpecies_Name: TSctDBVar;
    biolifetableLength__cm_: TSctDBVar;
    biolifetableLength_In: TSctDBVar;
    biolifetableNotes: TSctDBVar;
    biolifetableGraphic: TSctDBVar;
    SctCustomLabel1: TSctCustomLabel;
    SctReportButton1: TSctReportButton;
    PDBMultiImage1: TPDBMultiImage;
    procedure SctCustomLabel1Draw(lb: TSctLabel; AceCanvas: TObject;
      Rect: TRect);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  ImageLibSample: TImageLibSample;

implementation

uses aceout, aceimlib;

{$R *.DFM}

procedure TImageLibSample.SctCustomLabel1Draw(lb: TSctLabel;
  AceCanvas: TObject; Rect: TRect);
begin
  AceImgLibFromStream(TAceCanvas(AceCanvas),
           biolifetableGraphic.AsStream, 'bmp', Rect);
end;

end.
